{% extends 'base.html.twig' %}

{% block title %}Hello ProduitController!{% endblock %}

{% block body %}

<div class="container my-5">
{# message flash action #}
	{% for message in app.flashes('success') %}
			<div class="alert alert-success mt-4">
				{{ message }}
			</div>
		{% endfor %}
<div class="col col-md-4 offset-md-4 ">

        <a class="btn btn-outline-primary " style="width:100%" href="{{ path('app_produit.create')}}" >Ajouter un produit</a>

{# Filtre des produits par catégories #}

      <form action="{{ path('app_produit') }}" method="post" name="filtre">
        <label for="username">categorie :</label>
            <select class="form-select" name="categ" aria-label="Default select example">
                <option selected disabled>choisissez une categorie</option>
                {%for categorie in categories %}

                    <option value="{{categorie.id}}">{{categorie.nom}}</option>
                {% endfor %}
                    <hr> <option value="0" >Toutes les catégories</option>
                <input type="submit" class="btn my-2 btn-outline-primary" name="login" value="filtrer" />
            </select>
    </form>

</div>
    <div class="row">

{# Tableau des produits #}

    <table class="table table-striped my-2 table-hover table-dark table-bordered">
                        <thead class="fw-bold">
                            <td>
                                numero 
                            </td>
                            <td>
                                nom
                            </td>
                            <td class="text-center">
                               prix
                            </td>
                            <td class="text-center">
                                 categorie
                            </td>
                               <td class="text-center">
                                    Action
                                 
                            </td>
                        </thead>
                            {%for produit in produits %}
                                <tr>
                                    
                                    <td class="text-center">{{produit.id}}</td>
                                    <td>{{produit.nom}}</td>
                                    <td  class="text-center">{{produit.prix}} €</td>
                                    <td  class="text-center">{{produit.categorie}}</td>
                                    <td  class="text-center">
                                    <a class="btn btn-outline-warning" href="{{path('app_produit.edit', {id: produit.id}) }}" >Modifier</a>
                                    <a class="btn btn-outline-danger" onclick="return confirm('etes-vous sur de vouloir le supprimer ?')" href="{{path('app_produit.delete', {id: produit.id}) }}">Supprimer</a>
                                    </td>

                                </tr>
                                
                            {% endfor %}
                    </table>



          
            </div>
    
    </div>
    <script >

    </script>
{% endblock %}
